## javanet.staxutils
Class StaxUtilsXMLOutputFactory

    java.lang.Object
      javax.xml.stream.XMLOutputFactory
          javanet.staxutils.helpers.FilterXMLOutputFactory
              javanet.staxutils.StaxUtilsXMLOutputFactory

    public class StaxUtilsXMLOutputFactory

extends FilterXMLOutputFactory

An output factory that optionally wraps a filter around each writer. The property `INDENTING` controls indentation of output.

Field Summary
`static String` `INDENT` A String property whose value indents one level.
`static String` `INDENTING` A Boolean property controlling whether to indent output.
`static String` `NEW_LINE` A String property whose value introduces a new line for indentation.

Fields inherited from class javanet.staxutils.helpers.FilterXMLOutputFactory
`source`

Fields inherited from class javax.xml.stream.XMLOutputFactory
`IS_REPAIRING_NAMESPACES`

Constructor Summary
`StaxUtilsXMLOutputFactory()`
`StaxUtilsXMLOutputFactory(XMLOutputFactory source)`

Method Summary
`boolean` `equals(Object o)`
`protected XMLEventWriter` `filter(XMLEventWriter writer)` Transform the given writer.
`protected XMLStreamWriter` `filter(XMLStreamWriter writer)`
`Object` `getProperty(String name)` Delegates to source.
`int` `hashCode()`
`boolean` `isPropertySupported(String name)` Delegates to source.
`void` `setProperty(String name, Object value)` Delegates to source.

Methods inherited from class javanet.staxutils.helpers.FilterXMLOutputFactory
`createXMLEventWriter, createXMLEventWriter, createXMLEventWriter, createXMLEventWriter, createXMLStreamWriter, createXMLStreamWriter, createXMLStreamWriter, createXMLStreamWriter, equals, hashCode`

Methods inherited from class javax.xml.stream.XMLOutputFactory
`newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDENTING

    public static final String INDENTING

  A Boolean property controlling whether to indent output. If true, output is indented by `IndentingXMLEventWriter` or `IndentingXMLStreamWriter`. The default is false.

  See Also:
    Constant Field Values

### INDENT

    public static final String INDENT

  A String property whose value indents one level. The default is `Indentation.DEFAULT_INDENT`.

  See Also:
    Constant Field Values

### NEW_LINE

    public static final String NEW_LINE

  A String property whose value introduces a new line for indentation. The default is `Indentation.NORMAL_END_OF_LINE`.

  See Also:
    Constant Field Values

Constructor Detail

### StaxUtilsXMLOutputFactory

    public StaxUtilsXMLOutputFactory()

### StaxUtilsXMLOutputFactory

    public StaxUtilsXMLOutputFactory(XMLOutputFactory source)

Method Detail

### filter

    protected XMLEventWriter filter(XMLEventWriter writer)

  Description copied from class: `FilterXMLOutputFactory`
  Transform the given writer.

  Specified by:
    `filter` in class `FilterXMLOutputFactory`

### filter

    protected XMLStreamWriter filter(XMLStreamWriter writer)

  Specified by:
    `filter` in class `FilterXMLOutputFactory`

### isPropertySupported

    public boolean isPropertySupported(String name)

  Description copied from class: `FilterXMLOutputFactory`
  Delegates to source.

  Overrides:
    `isPropertySupported` in class `FilterXMLOutputFactory`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws IllegalArgumentException

  Description copied from class: `FilterXMLOutputFactory`
  Delegates to source.

  Overrides:
    `setProperty` in class `FilterXMLOutputFactory`
  Throws:
    `IllegalArgumentException`

### getProperty

    public Object getProperty(String name)
                       throws IllegalArgumentException

  Description copied from class: `FilterXMLOutputFactory`
  Delegates to source.

  Overrides:
    `getProperty` in class `FilterXMLOutputFactory`
  Throws:
    `IllegalArgumentException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FilterXMLOutputFactory`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `FilterXMLOutputFactory`